[gnome-shell/wip/hadess/always-launch-discrete-gpu: 6/6] ci: Print all the commits that need bug references



commit b6da2eff304507401e8c5f76372204134763a85c
Author: Bastien Nocera <hadess hadess net>
Date:   Mon Oct 21 13:19:16 2019 +0200

    ci: Print all the commits that need bug references
    
    Rather than just the latest one, otherwise it might leave the patch
    submitter to iterate over every commit, if they didn't know every patch
    needed a reference.
    
    Closes: #1809

 .gitlab-ci/check-commit-log.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
---
diff --git a/.gitlab-ci/check-commit-log.sh b/.gitlab-ci/check-commit-log.sh
index 2308ec07e3..701635bd4b 100755
--- a/.gitlab-ci/check-commit-log.sh
+++ b/.gitlab-ci/check-commit-log.sh
@@ -30,9 +30,12 @@ function commit_message_has_ref() {
   return $?
 }
 
+RET=0
 for commit in $commits; do
   if ! commit_message_has_url $commit && ! commit_message_has_ref $commit ; then
     echo "Commit $(echo $commit | cut -c -8) needs a merge request or issue URL, or a merge request or issue 
number"
-    exit 1
+    RET=1
   fi
 done
+
+exit $RET


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]